package com.ejie.p06b.datatype.model;

import java.io.Serializable;

/**
 * Fecha de creación: (25/01/2012)
 */
public class P06B53T00Datatype implements Serializable {
	
	private String ejercicio = "";
	private String numExp = "";
	private String ingrComis = "";
	private String ingrFinanc = "";
	private String ingrOtros = "";
	private String gastCostesPer = "";
	private String gastComisAuxExt = "";
	private String gastFormacion = "";
	private String gastFinanc = "";
	private String gastOtros = "";
	private String ctaIngrTotal = "";
	private String ctaGastTotal = "";
	
	
	/**
	 * @return Returns the ejercicio.
	 */
	public String getEjercicio() {
		return ejercicio;
	}
	/**
	 * @param ejercicio The ejercicio to set.
	 */
	public void setEjercicio(String ejercicio) {
		this.ejercicio = ejercicio;
	}
		
	/**
	 * @return Returns the numExp.
	 */
	public String getNumExp() {
		return numExp;
	}
	/**
	 * @param numExp The numExp to set.
	 */
	public void setNumExp(String numExp) {
		this.numExp = numExp;
	}
	
	/**
	 * @return Returns the ingrComis.
	 */
	public String getIngrComis() {
		return ingrComis;
	}
	/**
	 * @param ingrComis The ingrComis to set.
	 */
	public void setIngrComis(String ingrComis) {
		this.ingrComis = ingrComis;
	}
	
	/**
	 * @return Returns the ingrFinanc.
	 */
	public String getIngrFinanc() {
		return ingrFinanc;
	}
	/**
	 * @param ingrFinanc The ingrFinanc to set.
	 */
	public void setIngrFinanc(String ingrFinanc) {
		this.ingrFinanc = ingrFinanc;
	}
	
	/**
	 * @return Returns the ingrOtros.
	 */
	public String getIngrOtros() {
		return ingrOtros;
	}
	/**
	 * @param ingrOtros The ingrOtros to set.
	 */
	public void setIngrOtros(String ingrOtros) {
		this.ingrOtros = ingrOtros;
	}
	
	/**
	 * @return Returns the gastCostesPer.
	 */
	public String getGastCostesPer() {
		return gastCostesPer;
	}
	/**
	 * @param gastCostesPer The gastCostesPer to set.
	 */
	public void setGastCostesPer(String gastCostesPer) {
		this.gastCostesPer = gastCostesPer;
	}
	
	/**
	 * @return Returns the gastComisAuxExt.
	 */
	public String getGastComisAuxExt() {
		return gastComisAuxExt;
	}
	/**
	 * @param gastComisAuxExt The gastComisAuxExt to set.
	 */
	public void setGastComisAuxExt(String gastComisAuxExt) {
		this.gastComisAuxExt = gastComisAuxExt;
	}
	
	/**
	 * @return Returns the gastFormacion.
	 */
	public String getGastFormacion() {
		return gastFormacion;
	}
	/**
	 * @param gastFormacion The gastFormacion to set.
	 */
	public void setGastFormacion(String gastFormacion) {
		this.gastFormacion = gastFormacion;
	}
	
	/**
	 * @return Returns the gastFinanc.
	 */
	public String getGastFinanc() {
		return gastFinanc;
	}
	/**
	 * @param gastFinanc The gastFinanc to set.
	 */
	public void setGastFinanc(String gastFinanc) {
		this.gastFinanc = gastFinanc;
	}
	
	/**
	 * @return Returns the gastOtros.
	 */
	public String getGastOtros() {
		return gastOtros;
	}
	/**
	 * @param gastOtros The gastOtros to set.
	 */
	public void setGastOtros(String gastOtros) {
		this.gastOtros = gastOtros;
	}
	
	/**
	 * @return Returns the ctaIngrTotal.
	 */
	public String getCtaIngrTotal() {
		return ctaIngrTotal;
	}
	/**
	 * @param ctaIngrTotal The ctaIngrTotal to set.
	 */
	public void setCtaIngrTotal(String ctaIngrTotal) {
		this.ctaIngrTotal = ctaIngrTotal;
	}
	
	/**
	 * @return Returns the ctaGastTotal.
	 */
	public String getCtaGastTotal() {
		return ctaGastTotal;
	}
	/**
	 * @param ctaGastTotal The ctaGastTotal to set.
	 */
	public void setCtaGastTotal(String ctaGastTotal) {
		this.ctaGastTotal = ctaGastTotal;
	}
	
	
	public String toString(){
		StringBuffer textoImprimir = new StringBuffer();
		textoImprimir.append("Ejercicio: ");
		textoImprimir.append(ejercicio);
		textoImprimir.append("; NumExpediente: ");
		textoImprimir.append(numExp);
		textoImprimir.append("; ingrComis: ");
		textoImprimir.append(ingrComis);
		textoImprimir.append("; ingrFinanc: ");
		textoImprimir.append(ingrFinanc);
		textoImprimir.append("; ingrOtros: ");
		textoImprimir.append(ingrOtros);
		textoImprimir.append("; gastCostesPer: ");
		textoImprimir.append(gastCostesPer);
		textoImprimir.append("; gastComisAuxExt: ");
		textoImprimir.append(gastComisAuxExt);
		textoImprimir.append("; gastFormacion: ");
		textoImprimir.append(gastFormacion);
		textoImprimir.append("; gastFinanc: ");
		textoImprimir.append(gastFinanc);
		textoImprimir.append("; gastOtros: ");
		textoImprimir.append(gastOtros);
		textoImprimir.append("; ctaIngrTotal: ");
		textoImprimir.append(ctaIngrTotal);
		textoImprimir.append("; ctaGastTotal: ");
		textoImprimir.append(ctaGastTotal);
							
		return textoImprimir.toString();
	}
	

}
